Subject: SIPS related clarifications (was: [Sip] SIPS question)

From: [email-masked]
Date: Thu, 28 Nov 2002 20:38:56 +0530

Hi all,

There were couple of interesting questions raised in
this thread by Christer earlier this month that perhaps
got left out in the middle of the conversation. Wanted
to get my understanding regarding inter-mingling of
"sip:" and "sips:" URLs within the spec clear. Sorry
if any questions had got resolved earlier and I missed
the mail as I'm entering the discussion late. Any
pointers are welcome.

* Is it allowed for a SIP proxy that got a request on
  TLS to forward the request downstream on a non-TLS
  protocol? Jon Peterson had suggested that "sips" was
  designed to allow selective hops in the path to be
  secure, while Rosenberg had mentioned that the presence
  of "sips:" should imply that the end-to-end path is
  secure. I guess the way I understand the spec stands
  at present is that if the Req-URI is re-written to a
  "sips:" URL at any stage of the routing, then any hop
  downstream _from_this_hop_onwards_ has to forward the
  request on TLS. The entire path (from UA to UA) need
  not be secure. Is this correct? Or can the request
  path be set-up with some hops on TLS and others on
  non-TLS in any combination of them?

* What is the response code to be used by a UAS to
  inform the UAC that it is not willing to accept
  insecure calls and that the UAC should retry the
  request on TLS?

* Also, another question Christer had raised in the
  discussion was end-points should not be allowed to
  send REGISTER with AoR as "sip:" and Contacts as "sips:"
  since end-to-end security (if that's what "sips:"
  implies always) would not be assured if a request
  for that end-point came with Req-URI of "sip:". Is
  this the case?

* Finally, the conclusion of the earlier thread seemed
  to be that the last sentence of Section 8.1.2
  (paragraph 1) is incorrect and the UAC's choice for
  the transport protocol should not rest on the req-uri's
  scheme being "sips:" alone. But this was not logged
  into bugzilla for resolution? Did I miss something?

Thanks for your time.

Regards,
Siddharth.

--------------------------------------------------------
Siddharth Toshniwal
Hughes Software Systems
Prestige Opal                    http://www.hssworld.com
146, Infantry Road          Ph (O): +91-80-2286390 (7094)
Bangalore-560001, India           Mobile: +91-9845154068
--------------------------------------------------------

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip